FTIME(3)

NAME
ftime - return date and time

SYNOPSIS
#include <sys/timeb.h>

int ftime(struct timeb *tp);

DESCRIPTION
Return current date and time in tp, which is declared as following:

struct timeb {
	time_t   time;
	unsigned short millitm;
	short    timezone;
	short    dstflag;
};

The structure contains the time since the epoch in seconds, up to 1000 milliseconds of more-precise interval, the local time zone (measured in minutes of time westward from Greenwich), and a flag that, if nonzero, indicates that Daylight Saving time applies locally during the appropriate part of the year.

RETURN VALUE
This function always returns 0.

BUGS
Under libc4 and libc5 the millitm field is meaningful. But glibc2 is buggy and returns 0 there; glibc 2.1.1 is correct again.

HISTORY
The ftime function appeared in 4.2BSD.

CONFORMING TO
BSD 4.2

NOTE
This call is obsoleted by gettimeofday(2).

SEE ALSO
time(2)